import { message } from 'antd';
import request from '@/utils/request';

const Model = {
  namespace: 'post',
  state: {
    typeList: []
  },
  effects: {
    *getTypeList({ payload }, { call, put }) {
      let response

      try {
        response = yield call((params) => request('/post-type', { params }), payload);
      } catch (e) {
        message.error(e.message)
        return
      }

      yield put({
        type: 'updateTypeList',
        payload: response.records || [],
      });
    },
  },

  reducers: {
    updateTypeList(state, { payload }) {
      return { ...state, typeList: payload };
    },
  },
};

export default Model;
